Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis
Interface MessageWriter

All Known Implementing Classes:
  AbstractMessageWriter, AttributeWriter, AttributeWriter, ElementWriter, YOMWriter

    public interface MessageWriter

Writes messages to an output stream.

Author:
  Dan Diephouse

Method Summary
`void` | `close()` Tells the MessageWriter that writing operations are completed so it can write the end element.
`MessageWriter` | `getAttributeWriter(javax.xml.namespace.QName qname)`
`MessageWriter` | `getAttributeWriter(java.lang.String name)`
`MessageWriter` | `getAttributeWriter(java.lang.String name, java.lang.String namespace)`
`MessageWriter` | `getElementWriter(javax.xml.namespace.QName qname)`
`MessageWriter` | `getElementWriter(java.lang.String name)`
`MessageWriter` | `getElementWriter(java.lang.String name, java.lang.String namespace)`
`void` | `writeValue(java.lang.Object value)`
`void` | `writeValueAsBoolean(boolean b)`
`void` | `writeValueAsDouble(java.lang.Double double1)`
`void` | `writeValueAsFloat(java.lang.Float f)`
`void` | `writeValueAsInt(java.lang.Integer i)`
`void` | `writeValueAsLong(java.lang.Long l)`

Method Detail

### writeValue

    void writeValue(java.lang.Object value)

### writeValueAsInt

    void writeValueAsInt(java.lang.Integer i)

### writeValueAsDouble

    void writeValueAsDouble(java.lang.Double double1)

### writeValueAsLong

    void writeValueAsLong(java.lang.Long l)

### writeValueAsFloat

    void writeValueAsFloat(java.lang.Float f)

### writeValueAsBoolean

    void writeValueAsBoolean(boolean b)

### getAttributeWriter

    MessageWriter getAttributeWriter(java.lang.String name)

### getAttributeWriter

    MessageWriter getAttributeWriter(java.lang.String name,
                                     java.lang.String namespace)

### getAttributeWriter

    MessageWriter getAttributeWriter(javax.xml.namespace.QName qname)

### getElementWriter

    MessageWriter getElementWriter(java.lang.String name)

### getElementWriter

    MessageWriter getElementWriter(java.lang.String name,
                                   java.lang.String namespace)

### getElementWriter

    MessageWriter getElementWriter(javax.xml.namespace.QName qname)

### close

    void close()

  Tells the MessageWriter that writing operations are completed so it can write the end element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.